Creates a new environment for isolating job configurations.
curl --request POST \
--url https://api.strait.dev/v1/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"project_id": "<string>",
"slug": "<string>",
"parent_id": "<string>",
"variables": {}
}
'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_standard": true,
"name": "<string>",
"project_id": "<string>",
"slug": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"$schema": "<string>",
"parent_id": "<string>",
"variables": {}
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/Environment.json"
Show child attributes
curl --request POST \
--url https://api.strait.dev/v1/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"project_id": "<string>",
"slug": "<string>",
"parent_id": "<string>",
"variables": {}
}
'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_standard": true,
"name": "<string>",
"project_id": "<string>",
"slug": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"$schema": "<string>",
"parent_id": "<string>",
"variables": {}
}